Name: lua-rds-parser
Version: 0.06
Release: 1%{?dist}
Summary: Lua resty memcached library
License: GPLv3
Url: https://github.com/openresty/lua-rds-parser
Group: Applications/Language
Source: %{name}-%{version}.tar.gz
Requires: nginx-lua

%description
This package provides a Resty-DBD-Stream (RDS) parser for Lua written in C.


%prep
%setup -q


%build
make all


%install
rm -fr %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/lua/5.1
%{__install} -p -D -m755 *.so %{buildroot}%{_libdir}/lua/5.1/


%clean
rm -fr %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc README
%{_libdir}/lua/5.1/*.so


%changelog
* Sat Mar  1 2024 Ernani Azevedo <azevedo@voipdomain.io> - 0.06-1
- Initial package file
